{
    //
    // CMAKE
    //
    // Optional: Adjust to your needs
    "cmake.parallelJobs": 4,
    // See openPASS documentation for individual WITH_* settings
    "cmake.configureSettings": {
        // Adjust paths depending on your system
        "CMAKE_PREFIX_PATH": [
            "/usr/lib/qt5/bin",
            "${workspaceFolder}/deps/thirdParty/linux64/Yase",
            "${workspaceFolder}/deps/scmThirdParty/linux64/stochastics",
            "${workspaceFolder}/deps/thirdParty/linux64/MantleAPI",
            "${workspaceFolder}/deps/thirdParty/linux64/FMILibrary",
            "${workspaceFolder}/deps/thirdParty/linux64/protobuf",
            "${workspaceFolder}/deps/thirdParty/linux64/protobuf-shared",
            "${workspaceFolder}/deps/thirdParty/linux64/googletest",
            "${workspaceFolder}/deps/thirdParty/linux64/minizip",
            "${workspaceFolder}/deps/thirdParty/linux64/openscenario_api",
            "${workspaceFolder}/deps/thirdParty/linux64/openscenario_engine/release",
            "${workspaceFolder}/deps/thirdParty/linux64/open-simulation-interface",
            "${workspaceFolder}/deps/thirdParty/linux64/zlib",
            "${workspaceFolder}/deps/thirdParty/linux64/units"
        ],
        "CMAKE_INSTALL_PREFIX": "/usr/local/openPASS/bin/core",
        "CMAKE_BUILD_TYPE": "Debug",
        "USE_CCACHE": true,
        "WITH_DEBUG_POSTFIX": false,
        "OPENPASS_ADJUST_OUTPUT": false,
        "INSTALL_EXTRA_RUNTIME_DEPS": true,
        "WITH_API_DOC": false,
        "WITH_DOC": false,
        "WITH_TESTS": true,
        // For integration with IntelliSense (see c_cpp_properties.json)
        "CMAKE_EXPORT_COMPILE_COMMANDS": true
    },
    //
    // TESTMATE
    //
    // Optional: Adjust to your needs
    "testMate.cpp.test.parallelExecutionLimit": 4,
    "testMate.cpp.test.parallelExecutionOfExecutableLimit": 2,
    // Optional: Set, if you like to debug test discovery and test start issues
    "testMate.cpp.log.logfile": "/tmp/cpp.testmate.log",
    //
    // VSCODE
    //
    // Enforce usage of .clang-format of modified code
    "editor.formatOnSave": true,
    "editor.formatOnSaveMode": "modifications",
    // EOL and whitespace enforcement
    "editor.detectIndentation": true,
    "editor.insertSpaces": true,
    "editor.renderFinalNewline": "dimmed",
    "editor.renderWhitespace": "all",
    "editor.trimAutoWhitespace": true,
    "files.insertFinalNewline": true,
    "files.trimFinalNewlines": true,
    "files.trimTrailingWhitespace": true
}
